librime: rime::MultiplePlugins< Container > Struct Template Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Types | Public Member Functions | Public Attributes | List of all members
rime::MultiplePlugins< Container > Struct Template Reference
Inheritance diagram for rime::MultiplePlugins< Container >:
[legend]
Collaboration diagram for rime::MultiplePlugins< Container >:
[legend]

## Public Types
typedef bool(ConfigCompilerPlugin::*) | Reviewer(ConfigCompiler *compiler, an< ConfigResource > resource)
Public Types inherited from rime::ConfigCompilerPlugin
typedef bool | Review(ConfigCompiler *compiler, an< ConfigResource > resource)

## Public Member Functions
| MultiplePlugins (Container &_plugins)
bool | ReviewCompileOutput (ConfigCompiler *compiler, an< ConfigResource > resource) override
bool | ReviewLinkOutput (ConfigCompiler *compiler, an< ConfigResource > resource) override
bool | ReviewedByAll (Reviewer reviewer, ConfigCompiler *compiler, an< ConfigResource > resource)
Public Member Functions inherited from rime::ConfigCompilerPlugin
virtual | ~ConfigCompilerPlugin ()=default

## Public Attributes
Container & | plugins
Public Attributes inherited from rime::ConfigCompilerPlugin
virtual Review | ReviewCompileOutput = 0
virtual Review | ReviewLinkOutput = 0

## Member Typedef Documentation

## ◆ Reviewer

template<class Container>

typedef bool(ConfigCompilerPlugin::*) rime::MultiplePlugins< Container >::Reviewer(ConfigCompiler *compiler, an< ConfigResource > resource)

## Constructor & Destructor Documentation

## ◆ MultiplePlugins()

template<class Container>

rime::MultiplePlugins< Container >::MultiplePlugins | ( | Container & | _plugins | ) |
| inline

## Member Function Documentation

## ◆ ReviewCompileOutput()

template<class Container>

bool rime::MultiplePlugins< Container >::ReviewCompileOutput | ( | ConfigCompiler * | compiler,
|  | an< ConfigResource > | resource )
| inlineoverride

## ◆ ReviewedByAll()

template<class Container>

bool rime::MultiplePlugins< Container >::ReviewedByAll | ( | Reviewer | reviewer,
|  | ConfigCompiler * | compiler,
|  | an< ConfigResource > | resource )

## ◆ ReviewLinkOutput()

template<class Container>

bool rime::MultiplePlugins< Container >::ReviewLinkOutput | ( | ConfigCompiler * | compiler,
|  | an< ConfigResource > | resource )
| inlineoverride

## Member Data Documentation

## ◆ plugins

template<class Container>

Container& rime::MultiplePlugins< Container >::plugins

The documentation for this struct was generated from the following file:

- config_component.cc